Update a guardrail

Update an existing guardrail. Management key required.

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the guardrail to update

Request

This endpoint expects an object.
allowed_modelslist of strings or nullOptional

Array of model identifiers (slug or canonical_slug accepted)

allowed_providerslist of strings or nullOptional
New list of allowed provider IDs
content_filter_builtinslist of objects or nullOptional

Builtin content filters to apply. Set to null to remove. The “flag” action is only supported for “regex-prompt-injection”; PII slugs (email, phone, ssn, credit-card, ip-address, person-name, address) accept “block” or “redact” only.

content_filterslist of objects or nullOptional
Custom regex content filters to apply. Set to null to remove.
descriptionstring or nullOptional<=1000 characters
New description for the guardrail
enforce_zdr_anthropicboolean or nullOptional

Whether to enforce zero data retention for Anthropic models. Falls back to enforce_zdr when not provided.

enforce_zdr_googleboolean or nullOptional

Whether to enforce zero data retention for Google models. Falls back to enforce_zdr when not provided.

enforce_zdr_openaiboolean or nullOptional

Whether to enforce zero data retention for OpenAI models. Falls back to enforce_zdr when not provided.

enforce_zdr_otherboolean or nullOptional

Whether to enforce zero data retention for models that are not from Anthropic, OpenAI, or Google. Falls back to enforce_zdr when not provided.

ignored_modelslist of strings or nullOptional

Array of model identifiers to exclude from routing (slug or canonical_slug accepted)

ignored_providerslist of strings or nullOptional
List of provider IDs to exclude from routing
limit_usddouble or nullOptional
New spending limit in USD
namestringOptional1-200 characters
New name for the guardrail
reset_intervalenumOptional

Interval at which the limit resets (daily, weekly, monthly)

Allowed values:
enforce_zdrboolean or nullOptionalDeprecated

Deprecated. Use enforce_zdr_anthropic, enforce_zdr_openai, enforce_zdr_google, and enforce_zdr_other instead. When provided, its value is copied into any of those per-provider fields that are not explicitly specified on the request.

Response

Guardrail updated successfully
dataobject
The updated guardrail

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error